Skip to content

Update Slack Bot

PUT
/api/v3/organizations/{organisation}/ai/slack-bots/{botId}
curl --request PUT \
--url https://dashboard.quantcdn.io/api/v3/organizations/example/ai/slack-bots/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "status": "active", "systemPrompt": "example", "modelId": "example", "temperature": 1, "maxTokens": 1, "allowedTools": [ "example" ], "assignedSkills": [ "example" ], "allowedCollections": [ "example" ], "allowedSubAgents": [ "example" ], "guardrailPreset": "example", "filterPolicies": [ "example" ], "longContext": true, "sessionTtlDays": 1, "allowedChannels": [ "example" ], "allowedUsers": [ "example" ], "deniedUsers": [ "example" ], "allowGuests": true, "homeTabContent": "example", "agentAccessControl": {}, "keywordsEnabled": true, "keywords": [ "example" ] }'

Updates a Slack bot’s configuration and/or its backing agent. Only provided fields are updated.

organisation
required
string

The organisation ID

botId
required
string

The Slack bot ID

Media typeapplication/json
object
name

Display name for the bot

string
status

Enable or disable the bot

string
Allowed values: active inactive
systemPrompt

System prompt for the backing AI agent

string
modelId

AI model identifier

string
temperature

Sampling temperature

number
<= 2
maxTokens

Maximum response tokens

integer
>= 1
allowedTools

Tools the agent may use

Array<string>
assignedSkills

Skills assigned to the agent

Array<string>
allowedCollections

Vector DB collections the agent may query

Array<string>
allowedSubAgents

Sub-agents the agent may call

Array<string>
guardrailPreset

Guardrail preset name

string
filterPolicies

Content filter policies

Array<string>
longContext

Enable long context mode

boolean
sessionTtlDays

Session TTL in days

integer
>= 1 <= 90
allowedChannels

Slack channel IDs the bot may respond in

Array<string>
allowedUsers

Slack user IDs allowed to interact with the bot

Array<string>
deniedUsers

Slack user IDs denied from interacting with the bot

Array<string>
allowGuests

Whether guest users may interact with the bot

boolean
homeTabContent

Content shown on the bot’s Home tab in Slack

string
agentAccessControl

Agent-level access control settings

object
keywordsEnabled

Whether keyword triggers are enabled

boolean
keywords

Keywords that trigger the bot

Array<string>

Slack bot updated successfully

Media typeapplication/json
object
bot
object
Examplegenerated
{
"bot": {}
}

Invalid request parameters

Access denied

Slack bot not found

Failed to update Slack bot